Bug 11732 - Semicolon not available as list separator any more
Semicolon not available as list separator any more
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
All All
: P5 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2016-02-12 15:00 UTC by meents
Modified: 2016-02-17 08:33 UTC (History)
2 users (show)

See Also:

Patch for 4.x (1.53 KB, patch)
2016-02-15 10:05 UTC, Volker Lendecke
obnox: review+
slow: review+

Note You need to log in before you can comment on or make changes to this bug.
Description meents 2016-02-12 15:00:49 UTC
";" has been dropped as valid separator from the list of separators for
list values in the registry. This is a severe regression as it
can lead to access loss, e.g., in case of a list of admin users.
Comment 1 Volker Lendecke 2016-02-15 10:05:11 UTC
Created attachment 11838 [details]
Patch for 4.x

Applies cleanly to 4.4, 4.3 and 4.2. Slightly different from master, there we have util_strlist_v3 separated out
Comment 2 Ralph Böhme 2016-02-15 10:16:57 UTC
Reassigning to Karolin for inclusion in 4.2, 4.3 and 4.4.
Comment 3 Michael Adam 2016-02-15 10:19:05 UTC
Comment on attachment 11838 [details]
Patch for 4.x

Can we please have a "BUG: https://bugzilla.samba.org/attachment.cgi?id=11838"
line in the commit message?

LGTM otherwise.
Comment 4 Karolin Seeger 2016-02-15 10:25:28 UTC
(In reply to Michael Adam from comment #3)
bug number is included
Comment 5 Karolin Seeger 2016-02-15 10:25:46 UTC
Pushed to autobuild-v4-[4|3|2]-test.
Comment 6 Michael Adam 2016-02-15 10:26:10 UTC
Comment on attachment 11838 [details]
Patch for 4.x

OK, ... only "BUG: " was missing ... I just had tomatoes on my eyes (tm). ;-)
Comment 7 Karolin Seeger 2016-02-17 08:33:29 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.